#ifndef _BIOAPITOOL_H_
#define _BIOAPITOOL_H_

struct bsp_list {
	char 	*bsp_uuid;
	int		bsp_index;
	char	*bsp_name;
	char	*bsp_desc;
	char 	*bsp_vend;
};

int init_bioapi();
void close_bioapi(BioAPI_HANDLE *);
BioAPI_HANDLE * set_bsp(const char *);
void unload_bsp(BioAPI_HANDLE *, const char *);
int create_record(BioAPI_HANDLE *, const char *, const char *);
int verify_record(BioAPI_HANDLE *, const char *, const char *);
int verify(BioAPI_HANDLE *, const char *, const char *);
int get_bsp_list(struct bsp_list **);
void destroy_bsp_list(struct bsp_list *, size_t);
int remove_record(const char *, const char *);

#endif /* _BIOAPITOOL_H_ */
